package com.zjrs.ggfw.dzsbk.blo;

import org.mohrss.leaf.core.framework.domain.blo.IBLO;
import com.zjrs.ggfw.dzsbk.po.RsInterfaceLog;
import com.zjrs.ggfw.dzsbk.po.VRsDzsbkQf;
import com.zjrs.ggfw.portal.po.VRsGgfwUser;

public interface SignBLO extends IBLO {
	
	//获取用户电子社保卡签发数据
	public VRsDzsbkQf getRsDzsbkQf(String userid,String channelNo);
	
	//保存电子社保卡签发用户信息
	public void saveRsDzsbkQf(VRsDzsbkQf vRsDzsbkQf);
	
	//获取微信公众号电子社保卡签发数据
	public VRsDzsbkQf getWeChatRsDzsbkQf(String openid,String channelNo);
	
	//获取微信公众号电子社保卡签发信息
	public VRsDzsbkQf getWeChatRsDzsbkQfByAuth(String authToken);

	//保存用户证件类型证件号码
	public VRsGgfwUser saveRsGgfwUser(VRsGgfwUser vRsGgfwUser);
	
	//保存电子社保卡接口调用日志
	public void saveRsInterfaceLog(RsInterfaceLog rsInterfaceLog);
}